Package org.apache.sysds.runtime.compress.estim.encoding

# Class EmptyEncoding

java.lang.Object
org.apache.sysds.runtime.compress.estim.encoding.AEncode
org.apache.sysds.runtime.compress.estim.encoding.EmptyEncoding

All Implemented Interfaces:
  `IEncode`

public class EmptyEncoding extends AEncode
Empty encoding for cases where the entire group of columns is zero

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.estim.encoding.IEncode

`LOG`

## Constructor Summary

Constructors
Constructor
Description
`EmptyEncoding()`

## Method Summary

Modifier and Type
Method
Description
`IEncode`
`combine(IEncode e)`
Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
`combineWithMap(IEncode e)`
Combine two encodings without resizing the output.
`boolean`
`equals(IEncode e)`
Indicate if the given encoding is equivalent to this encoding
`EstimationFactors`
`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
Extract the compression facts for this column group.
`int`
`getUnique()`
Get the number of unique values in this encoding
`boolean`
`isDense()`
Signify if the counts are including zero or without zero.
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.estim.encoding.AEncode

`equals`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EmptyEncoding

public EmptyEncoding()

## Method Details

### combine

public IEncode combine(IEncode e)
Description copied from interface: `IEncode`
Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.

Parameters:
  `e` - The other side to combine with
Returns:
  The combined encoding

### combineWithMap

public org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt> combineWithMap(IEncode e)
Description copied from interface: `IEncode`
Combine two encodings without resizing the output. meaning the mapping of the indexes should be consistent with left hand side Dictionary indexes and right hand side indexes.

NOTE: Require both encodings to contain the correct metadata for number of unique values.

Parameters:
  `e` - The other side to combine with
Returns:
  The combined encoding

### getUnique

public int getUnique()
Description copied from interface: `IEncode`
Get the number of unique values in this encoding

Returns:
  The number of unique values.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### extractFacts

public EstimationFactors extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)
Description copied from interface: `IEncode`
Extract the compression facts for this column group.

Parameters:
  `nRows` - The total number of rows
  `tupleSparsity` - The Sparsity of the unique tuples
  `matrixSparsity` - The matrix sparsity
  `cs` - The compression settings
Returns:
  A EstimationFactors object

### isDense

public boolean isDense()
Description copied from interface: `IEncode`
Signify if the counts are including zero or without zero.

Returns:
  is dense

### equals

public boolean equals(IEncode e)
Description copied from interface: `IEncode`
Indicate if the given encoding is equivalent to this encoding

Parameters:
  `e` - The other encoding to be compared with this
Returns:
  If the encoding is equivalent